=== debian/changelog ===
podman (1.8.0~1) testing; urgency=medium

  * autobuilt v1.8.0-rc1

 -- RH Container Bot <rhcontainerbot@fedoraproject.org>  Fri, 31 Jan 2020 19:10:19 +0000

podman (1.7.0~6) stable; urgency=medium

  * depend on iptables 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Fri, 31 Jan 2020 09:58:41 -0500

podman (1.7.0~5) stable; urgency=medium

  * use containers-common >= 0.1.40-9 
  * use containers-image >= 5.1.0~2 for correct registries.conf setup

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 28 Jan 2020 09:44:06 -0500

podman (1.7.0~4) stable; urgency=medium

  * do not install docker manpages 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 27 Jan 2020 14:08:34 -0500

podman (1.7.0~3) stable; urgency=medium

  * recommend varlink dep 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 23 Jan 2020 11:12:27 +0530

podman (1.7.0~2) stable; urgency=medium

  * disable dh_auto_configure for armv7l success

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 22 Jan 2020 19:51:39 +0530

podman (1.7.0~1) stable; urgency=medium

  * bump to v1.7.0

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 16 Jan 2020 13:03:24 +0000

podman (1.6.4~2) stable; urgency=medium

  * use seccomp buildtag 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 23 Dec 2019 18:04:40 +0000

podman (1.6.4~1) stable; urgency=medium

  * bump to v1.6.4 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 11 Dec 2019 23:24:00 +0000

podman (1.6.3~15) stable; urgency=medium

  * create TMPFILESDIR dir 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 05 Dec 2019 13:59:36 +0000

podman (1.6.3~14) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 21 Nov 2019 03:53:55 +0000

podman (1.6.3~13) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 21 Nov 2019 03:23:48 +0000

podman (1.6.3~12) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 21 Nov 2019 02:39:49 +0000

podman (1.6.3~11) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 19:53:11 +0000

podman (1.6.3~10) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 19:40:48 +0000

podman (1.6.3~9) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 18:43:55 +0000

podman (1.6.3~8) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 17:55:30 +0000

podman (1.6.3~7) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 17:28:45 +0000

podman (1.6.3~6) stable; urgency=medium

  * update GO_BUILD def 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 17:05:24 +0000

podman (1.6.3~5) stable; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 16:44:20 +0000

podman (1.6.3~4) stable; urgency=medium

  * correct golang binary location 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 15:27:08 +0000

podman (1.6.3~3) stable; urgency=medium

  * rebuild on OBS 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Wed, 20 Nov 2019 14:27:49 +0000

podman (1.6.3~2ubuntu1) stable; urgency=medium

  * make changelog more generic 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 17 Nov 2019 21:47:30 +0000

podman (1.6.3~1) stable; urgency=medium

  * bump to v1.6.3

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sat, 09 Nov 2019 20:48:43 +0000

podman (1.6.1-1~ubuntu19.04~ppa3) disco; urgency=medium

  * autobuilt v1.6.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 11:10:28 +0000

podman (1.6.1-1~ubuntu19.04~ppa2) disco; urgency=medium

  * autobuilt v1.6.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 10:56:02 +0000

podman (1.6.1-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v1.6.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Mon, 07 Oct 2019 14:27:24 +0000

podman (1.5.1-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v1.5.1

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Wed, 04 Sep 2019 00:16:36 +0000

podman (1.5.0-2~ubuntu19.04~ppa7) disco; urgency=medium

  * install podman-remote, enable varlink 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 19 Aug 2019 14:32:42 +0000

podman (1.5.0-2~ubuntu19.04~ppa6) disco; urgency=medium

  * rebuild

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 12 Aug 2019 18:42:06 +0000

podman (1.5.0-2~ubuntu19.04~ppa5) disco; urgency=medium

  * rebuild

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Mon, 12 Aug 2019 18:33:07 +0000

podman (1.5.0-2~ubuntu19.04~ppa4) disco; urgency=medium

  * don't install seccomp.json 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 12 Aug 2019 18:22:59 +0000

podman (1.5.0-2~ubuntu19.04~ppa3) disco; urgency=medium

  * rebuild

 -- Lokesh Mandvekar <lsm5-bot@7487a80043b9>  Sun, 11 Aug 2019 19:44:51 +0000

podman (1.5.0-1~ubuntu19.04~ppa2) disco; urgency=medium

  * rebuild 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 11 Aug 2019 18:39:45 +0000

podman (1.5.0-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v1.5.0

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sun, 11 Aug 2019 17:51:53 +0000

podman (1.4.4-2~ubuntu19.04~ppa4) disco; urgency=medium

  * correct install-time deps 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 20:56:37 +0000

podman (1.4.4-2~ubuntu19.04~ppa3) disco; urgency=medium

  * build dep on libbtrfs-dev

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 15:03:08 +0000

podman (1.4.4-2~ubuntu19.04~ppa2) disco; urgency=medium

  * build correctly for disco

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 28 Jul 2019 14:31:59 +0000

podman (1.4.4-1~git591ed25~ubuntu18.04~ppa1) bionic; urgency=medium

  * bump to 1.4.4


