## podman 1.8.0~2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 GO ?= go
 DESTDIR ?=
-EPOCH_TEST_COMMIT ?= $(shell git merge-base HEAD $${DEST_BRANCH:-master})
+EPOCH_TEST_COMMIT ?= $(shell git merge-base $${DEST_BRANCH:-master} HEAD)
 HEAD ?= HEAD
 CHANGELOG_BASE ?= HEAD~
 CHANGELOG_TARGET ?= HEAD
@@ -132,6 +132,9 @@
 endef
 export PRINT_HELP_PYSCRIPT
 
+# Dereference variable $(1), return value if non-empty, otherwise raise an error.
+err_if_empty = $(if $(strip $($(1))),$(strip $($(1))),$(error Required variable $(1) value is undefined, whitespace, or empty))
+
 .PHONY: help
 help:
 	@$(PYTHON) -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)
@@ -146,6 +149,7 @@
 
 .PHONY: lint
 lint: golangci-lint
+	@echo "Linting vs commit '$(call err_if_empty,EPOCH_TEST_COMMIT)'"
 ifeq ($(PRE_COMMIT),)
 	@echo "FATAL: pre-commit was not found, check https://pre-commit.com/ about installing it." >&2
 	@exit 2
@@ -300,11 +304,3 @@
 
 .PHONY: endpoint
 endpoint:
-	ginkgo -v $(TESTFLAGS) -tags "$(BUILDTAGS)" $(GINKGOTIMEOUT) -cover -flakeAttempts 3 -progress -trace -noColor -debug test/endpoint/.
-
-.PHONY: localintegration
-localintegration: varlink_generate test-binaries ginkgo
-
-.PHONY: remoteintegration
-remoteintegration: varlink_generate test-binaries ginkgo-remote
-
