=== debian/changelog ===
podman (1.8.0~2) testing; urgency=medium

  * bump release tag

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Fri, 07 Feb 2020 18:33:28 -0500
