=== debian/control ===
Source: podman
Section: devel
Priority: optional
Maintainer: Lokesh Mandvekar <lsm5@fedoraproject.org>
Build-Depends: debhelper (>=9),
    libassuan-dev,
    libgpgme11-dev,
    libseccomp-dev,
    libsystemd-dev,
    dh-golang,
    golang,
    libglib2.0-dev,
    go-md2man,
    git
Standards-Version: 4.3.0
Homepage: https://github.com/containers/libpod.git
Vcs-Git: git://github.com/lsm5/libpod.git

Package: podman
Architecture: any
Depends: ${misc:Depends},
    libseccomp2,
    libdevmapper1.02.1,
    libgpgme11,
    conmon (>=1.0.0),
    containers-common (>=0.1.40-9),
    cri-o-runc,
    iptables
Recommends: slirp4netns,
   containernetworking-plugins (>=0.8.1),
   uidmap,
   varlink
Description: Manage pods, containers and container images.
