=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 GO := GOPATH=$(BUILDDIR) GO111MODULE=off /usr/bin/go
 GO_BUILD := $(GO) build
 GO_GENERATE := $(GO) generate
-UPSTREAM_TAG=v1.8.0-rc1
+UPSTREAM_TAG=v1.8.0
 
 %:
 	dh_clean
